<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
<!--	FORMULARIOS-->
	<form-beans>
	<form-bean
				name="w83bFormMenuHistoricos"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
		</form-bean>
		<form-bean
				name="w83bFormCuadroResumenHist"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bHistoricosBean" type="w83b.w83bBeans.W83bHistoricosBean"/>			
		</form-bean>
		<form-bean
				name="w83bFormRepCandTamHist"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bHistoricosBean" type="w83b.w83bBeans.W83bHistoricosBean"/>			
		</form-bean>
		<form-bean
				name="w83bFormResultSexoHist"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bHistoricosBean" type="w83b.w83bBeans.W83bHistoricosBean"/>			
		</form-bean>
		
		<form-bean
				name="w83bFormDelegConvenioHist"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bHistoricosBean" type="w83b.w83bBeans.W83bHistoricosBean"/>			
		</form-bean>
		
		<form-bean
				name="w83bFormDelegAgrupConvHist"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bHistoricosBean" type="w83b.w83bBeans.W83bHistoricosBean"/>			
		</form-bean>
		
		
<!--	CONTEXTOS-->
		<form-bean	name="contextoOP" type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="inyectarUsuarioEnBean" type="java.lang.String" initial="w83bFormMenuHistoricos[w83bHistoricosBean],w83bFormCuadroResumenHist[w83bHistoricosBean]"/>
<!--				,w83bFormListadoEmpresaVariosPreavisos[w83bListadosBean],w83bFormListadoLibroRegistro[w83bListadosBean],w83bFormListadoRelAlfPreavisos[w83bListadosBean]-->
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.herramientas.histMay"/>
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.herramientas.listados"/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="migas" type="java.lang.String" initial="inicio.informes.historicos"/>
				<form-property name="w83bHistoricosBean" type="w83b.w83bBeans.W83bHistoricosBean"/>
				<form-property name="w83bResultadoHistorico" type="java.util.List"/>
				<form-property name="descripcionTerritorio" type="java.lang.String"/>
				
						
				
			</form-bean>
	</form-beans>
<!--	ACTIONS-->
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
		<action path ="/w83bInicioHistoricos" forward="/w83bPaginaInicioHistoricos.do"/>
		<action path ="/w83bInicioHistoricosPagina" forward="paginaInicioHistoricos"/>
		<action path ="/w83bCuadroResumenHistorico" forward="/w83bCuadroResumenHistorico2.do"/>
		<action path ="/w83bRepCandTamHistorico" forward="/w83bRepCandTamHistorico2.do"/>
		<action path ="/w83bResultSexoHistorico" forward="/w83bResultSexoHistorico2.do"/>
		<action path ="/w83bDelegConvenioHistorico" forward="/w83bDelegConvenioHistorico2.do"/>
		<action path ="/w83bDelegAgrupConvHistorico" forward="/w83bDelegAgrupConvHistorico2.do"/>
		<action path ="/w83bPaginaCuadroResumenHistorico" forward="paginaCuadroResumenHistorico"/>
		<action path ="/w83bPaginaRepCandTamHistorico" forward="paginaRepCandTamHistorico"/>
		<action path ="/w83bPaginaResultSexoHistorico" forward="paginaResultSexoHistorico"/>
		<action path ="/w83bPaginaDelegConvenioHistorico" forward="paginaDelegConvenioHistorico"/>
		<action path ="/w83bPaginaDelegAgrupConvHistorico" forward="paginaDelegAgrupConvHistorico"/>
		
		
		
		
<!--	DISPATCHES-->
		<action
				path="/w83bDispatchCuadroResumenHist"
				name="w83bFormCuadroResumenHist"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bPaginaInicioHistoricos.do"/>
				<forward
					name="excel"
					path="/w83bBuscarCuadroResumenHistOP.do"/>
		</action>
	
		<action
				path="/w83bDispatchRepCandTamHist"
				name="w83bFormRepCandTamHist"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bPaginaInicioHistoricos.do"/>
				<forward
					name="excel"
					path="/w83bBuscarRepCandTamHistOP.do"/>
		</action>
		
		<action
				path="/w83bDispatchResultSexoHist"
				name="w83bFormResultSexoHist"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bPaginaInicioHistoricos.do"/>
				<forward
					name="excel"
					path="/w83bBuscarResultSexoHistOP.do"/>
		</action>
	
		
		<action
				path="/w83bDispatchDelegConvenioHist"
				name="w83bFormDelegConvenioHist"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bPaginaInicioHistoricos.do"/>
				<forward
					name="excel"
					path="/w83bBuscarDelegConvenioHistOP.do"/>
		</action>
	
		<action
				path="/w83bDispatchDelegAgrupConvHist"
				name="w83bFormDelegAgrupConvHist"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bPaginaInicioHistoricos.do"/>
				<forward
					name="excel"
					path="/w83bBuscarDelegAgrupConvHistOP.do"/>
		</action>
	
		
		<action
				path="/w83bDispatch"
				name="w83bFormMenuHistoricos"
				scope="request"
				validate="false"
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bInicioListadoPreavisos.do"/>
		</action>
		
		<action path="/w83bPaginaInicioHistoricos" scope="request" type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bInicioHistoricosOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioHistoricosPagina.do"/>
			<forward name="error" path="/w83bInicioInformes.do"/>
		</action>
		
		
		<!--	CUADRO RESUMEN RESULTADOS -->
		<action path="/w83bCuadroResumenHistorico2" scope="request" type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bInicioCuadroResumenHistoricoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaCuadroResumenHistorico.do"/>
			<forward name="error" path="/w83bPaginaListadoEmpresaVariosPreavisos.do"/>
		</action>
		
		<action path="/w83bBuscarCuadroResumenHistOP" scope="request" 
		 type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bBuscarHistoricosOPAction" name="w83bFormCuadroResumenHist" validate="false">
			<forward name="ok" path="/w83bCargaCuadroResumenHist.do"/>
			<forward name="error" path="/w83bGenericoErrorOutOP.do"/>
		</action>
		
		<action path="/w83bBuscarCuadroResumenHistClasifOP" scope="request" 
		 type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bBuscarHistoricosOPAction" name="w83bFormCuadroResumenHist" validate="false">
			<forward name="ok" path="/w83bCargaCuadroResumenHistClasif.do"/>
			<forward name="error" path="/w83bGenericoErrorOutOP.do"/>
		</action>
		
		<action path ="/w83bCargaCuadroResumenHist" 
			 parameter="w83bCargaCuadroResumenHistOI" 
			  validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCargaCuadroResumenHistOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
		
		<action path ="/w83bCargaCuadroResumenHistClasif" 
			 parameter="w83bCargaCuadroResumenHistClasifOI" 
			  validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCargaCuadroResumenHistOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
		
		<action path="/w83bCargaCuadroResumenHistOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bCargaCuadroResumenHistOutOPAction" 
			 validate="false">
		</action>
		
		<action path="/w83bCrearCuadroResumenHist" name="w83bFormCuadroResumenHist" scope="request" type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bCrearCuadroResumenHistAction" 
			 validate="false">
		</action>		
		
		<action path="/w83bCrearCuadroResumenHistClasif" name="w83bFormCuadroResumenHist" scope="request" type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bCrearCuadroResumenHistClasifAction" 
			 validate="false">
		</action>	
		
		
		<!--	REPRESENTANTES POR CANDIDATURA/TAMAÑO EMPRESA -->
		<action path="/w83bRepCandTamHistorico2" scope="request" type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bInicioRepCandTamHistoricoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaRepCandTamHistorico.do"/>
			<forward name="error" path="/w83bPaginaListadoEmpresaVariosPreavisos.do"/>
		</action>
		
		<action path="/w83bBuscarRepCandTamHistOP" scope="request" 
		 type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bBuscarHistoricosOPAction" name="w83bFormRepCandTamHist" validate="false">
			<forward name="ok" path="/w83bCargaRepCandTamHist.do"/>
			<forward name="error" path="/w83bGenericoErrorOutOP.do"/>
		</action>
		
		<action path ="/w83bCargaRepCandTamHist" 
			 parameter="w83bCargaRepCandTamHistOI" 
			  validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCargaRepCandTamHistOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
		
		<action path="/w83bCargaRepCandTamHistOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bCargaRepCandTamHistOutOPAction" 
			 validate="false">
		</action>
		
		<action path="/w83bCrearRepCandTamHist" name="w83bFormRepCandTamHist" scope="request" type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bCrearRepCandTamHistAction" 
			 validate="false">
		</action>	
		
		<!--	RESULTADOS POR SEXO -->
		<action path="/w83bResultSexoHistorico2" scope="request" type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bInicioResultSexoHistoricoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaResultSexoHistorico.do"/>
			<forward name="error" path="/w83bPaginaListadoEmpresaVariosPreavisos.do"/>
		</action>
		
		<action path="/w83bBuscarResultSexoHistOP" scope="request" 
		 type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bBuscarHistoricosOPAction" name="w83bFormResultSexoHist" validate="false">
			<forward name="ok" path="/w83bCargaResultSexoHist.do"/>
			<forward name="error" path="/w83bGenericoErrorOutOP.do"/>
		</action>
		
		<action path ="/w83bCargaResultSexoHist" 
			 parameter="w83bCargaResultSexoHistOI" 
			  validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCargaResultSexoHistOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
		
		<action path="/w83bCargaResultSexoHistOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bCargaResultSexoHistOutOPAction" 
			 validate="false">
		</action>
		
		<action path="/w83bCrearResultSexoHist" name="w83bFormResultSexoHist" scope="request" type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bCrearResultSexoHistAction" 
			 validate="false">
		</action>	
		
		<!--	DELEGADOS POR CONVENIO -->
		<action path="/w83bDelegConvenioHistorico2" scope="request" type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bInicioDelegConvenioHistoricoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaDelegConvenioHistorico.do"/>
			<forward name="error" path="/w83bPaginaListadoEmpresaVariosPreavisos.do"/>
		</action>
		
		<action path="/w83bBuscarDelegConvenioHistOP" scope="request" 
		 type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bBuscarHistoricosOPAction" name="w83bFormDelegConvenioHist" validate="false">
			<forward name="ok" path="/w83bCargaDelegConvenioHist.do"/>
			<forward name="error" path="/w83bGenericoErrorOutOP.do"/>
		</action>
		
		<action path ="/w83bCargaDelegConvenioHist" 
			 parameter="w83bCargaDelegConvenioHistOI" 
			  validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCargaDelegConvenioHistOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
		
		<action path="/w83bCargaDelegConvenioHistOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bCargaDelegConvenioHistOutOPAction" 
			 validate="false">
		</action>
		
		<action path="/w83bCrearDelegConvenioHist" name="w83bFormDelegConvenioHist" scope="request" type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bCrearDelegConvenioHistAction" 
			 validate="false">
		</action>	
		
		<!--	DELEGADOS POR AGRUPACIÓN Y CONVENIO  -->
		<action path="/w83bDelegAgrupConvHistorico2" scope="request" type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bInicioDelegAgrupConvHistoricoOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaDelegAgrupConvHistorico.do"/>
			<forward name="error" path="/w83bPaginaListadoEmpresaVariosPreavisos.do"/>
		</action>
		
		<action path="/w83bBuscarDelegAgrupConvHistOP" scope="request" 
		 type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bBuscarHistoricosOPAction" name="w83bFormDelegAgrupConvHist" validate="false">
			<forward name="ok" path="/w83bCargaDelegAgrupConvHist.do"/>
			<forward name="error" path="/w83bGenericoErrorOutOP.do"/>
		</action>
		
		<action path ="/w83bCargaDelegAgrupConvHist" 
			 parameter="w83bCargaDelegAgrupConvHistOI" 
			  validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bCargaDelegAgrupConvHistOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
		
		<action path="/w83bCargaDelegAgrupConvHistOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bCargaDelegAgrupConvHistOutOPAction" 
			 validate="false">
		</action>
		
		<action path="/w83bCrearDelegAgrupConvHist" name="w83bFormDelegAgrupConvHist" scope="request" type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bCrearDelegAgrupConvHistAction" 
			 validate="false">
		</action>	
		
		
		<!--	GENERALES -->
		<action path ="/w83bCargaHistoricos" 
			 parameter="w83bCargaHistoricosOI" 
			  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bBuscarHistoricosOutOP.do" />
					<forward name="error" path="/w83bGenericoErrorOutOP.do" />
		</action>
		
		<action path="/w83bBuscarHistoricosOutOP" 
		 scope="request" type="w83b.w83bOperacionesPaso.w83bHistoricos.W83bBuscarHistoricosOutOPAction" 
			 validate="false">
		</action>
		
		
		
		<action path="/w83bIrPaginaBienvenida" 
		type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunJSP/w83bPaginaBienvenida.do">
		</action>
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/historicos/validation-historicos.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

	<!-- Menus -->	
</struts-config>